Configuration interface definition for Human library

Contains all configurable parameters

### Hierarchy

- Config

## Index

### Properties

- async
- backend
- body
- deallocate
- debug
- face
- filter
- gesture
- hand
- object
- profile
- scoped
- videoOptimized
- warmup
- wasmPath

## Properties

### async

async: boolean

### backend

backend: string

### body

body: { enabled: boolean; maxDetections: number; modelPath: string; nmsRadius: number; scoreThreshold: number }

#### Type declaration

- ##### enabled: boolean

- ##### maxDetections: number

- ##### modelPath: string

- ##### nmsRadius: number

- ##### scoreThreshold: number

### deallocate

deallocate: boolean

### debug

debug: boolean

### face

face: { age: { enabled: boolean; modelPath: string; skipFrames: number }; description: { enabled: boolean; modelPath: string; skipFrames: number }; detector: { iouThreshold: number; maxFaces: number; minConfidence: number; modelPath: string; return: boolean; rotation: boolean; scoreThreshold: number; skipFrames: number; skipInitial: boolean }; embedding: { enabled: boolean; modelPath: string }; emotion: { enabled: boolean; minConfidence: number; modelPath: string; skipFrames: number }; enabled: boolean; gender: { enabled: boolean; minConfidence: number; modelPath: string; skipFrames: number }; iris: { enabled: boolean; modelPath: string }; mesh: { enabled: boolean; modelPath: string } }

#### Type declaration

- ##### age: { enabled: boolean; modelPath: string; skipFrames: number }

  - ##### enabled: boolean

  - ##### modelPath: string

  - ##### skipFrames: number

- ##### description: { enabled: boolean; modelPath: string; skipFrames: number }

  - ##### enabled: boolean

  - ##### modelPath: string

  - ##### skipFrames: number

- ##### detector: { iouThreshold: number; maxFaces: number; minConfidence: number; modelPath: string; return: boolean; rotation: boolean; scoreThreshold: number; skipFrames: number; skipInitial: boolean }

  - ##### iouThreshold: number

  - ##### maxFaces: number

  - ##### minConfidence: number

  - ##### modelPath: string

  - ##### return: boolean

  - ##### rotation: boolean

  - ##### scoreThreshold: number

  - ##### skipFrames: number

  - ##### skipInitial: boolean

- ##### embedding: { enabled: boolean; modelPath: string }

  - ##### enabled: boolean

  - ##### modelPath: string

- ##### emotion: { enabled: boolean; minConfidence: number; modelPath: string; skipFrames: number }

  - ##### enabled: boolean

  - ##### minConfidence: number

  - ##### modelPath: string

  - ##### skipFrames: number

- ##### enabled: boolean

- ##### gender: { enabled: boolean; minConfidence: number; modelPath: string; skipFrames: number }

  - ##### enabled: boolean

  - ##### minConfidence: number

  - ##### modelPath: string

  - ##### skipFrames: number

- ##### iris: { enabled: boolean; modelPath: string }

  - ##### enabled: boolean

  - ##### modelPath: string

- ##### mesh: { enabled: boolean; modelPath: string }

  - ##### enabled: boolean

  - ##### modelPath: string

### filter

filter: { blur: number; brightness: number; contrast: number; enabled: boolean; height: number; hue: number; kodachrome: boolean; negative: boolean; pixelate: number; polaroid: boolean; return: boolean; saturation: number; sepia: boolean; sharpness: number; technicolor: boolean; vintage: boolean; width: number }

#### Type declaration

- ##### blur: number

- ##### brightness: number

- ##### contrast: number

- ##### enabled: boolean

- ##### height: number

- ##### hue: number

- ##### kodachrome: boolean

- ##### negative: boolean

- ##### pixelate: number

- ##### polaroid: boolean

- ##### return: boolean

- ##### saturation: number

- ##### sepia: boolean

- ##### sharpness: number

- ##### technicolor: boolean

- ##### vintage: boolean

- ##### width: number

### gesture

gesture: { enabled: boolean }

#### Type declaration

- ##### enabled: boolean

### hand

hand: { detector: { modelPath: string }; enabled: boolean; iouThreshold: number; landmarks: boolean; maxHands: number; minConfidence: number; rotation: boolean; scoreThreshold: number; skeleton: { modelPath: string }; skipFrames: number; skipInitial: boolean }

#### Type declaration

- ##### detector: { modelPath: string }

  - ##### modelPath: string

- ##### enabled: boolean

- ##### iouThreshold: number

- ##### landmarks: boolean

- ##### maxHands: number

- ##### minConfidence: number

- ##### rotation: boolean

- ##### scoreThreshold: number

- ##### skeleton: { modelPath: string }

  - ##### modelPath: string

- ##### skipFrames: number

- ##### skipInitial: boolean

### object

object: { enabled: boolean; iouThreshold: number; maxResults: number; minConfidence: number; modelPath: string; skipFrames: number }

#### Type declaration

- ##### enabled: boolean

- ##### iouThreshold: number

- ##### maxResults: number

- ##### minConfidence: number

- ##### modelPath: string

- ##### skipFrames: number

### profile

profile: boolean

### scoped

scoped: boolean

### videoOptimized

videoOptimized: boolean

### warmup

warmup: string

### wasmPath

wasmPath: string